# (tpg) do not provide plugins
%define _provides_exceptions *.so.0\\|
%define prel beta1

Summary:	Ultimate music player for GNU/Linux
Name:		deadbeef
Version:	0.5.2
Release:	%mkrel -c %prel 1
License:	GPLv2+
Group:		Sound
Url:		http://deadbeef.sourceforge.net
Source0:	http://sourceforge.net/projects/deadbeef/files/%{name}-%{version}-%prel.tar.bz2
BuildRequires:	libalsa-devel
BuildRequires:	gtk2-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libcurl-devel
BuildRequires:	libmad-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	libflac-devel
BuildRequires:	libwavpack-devel
BuildRequires:	libcdio-devel
BuildRequires:	libcddb-devel
BuildRequires:	intltool >= 0.40
BuildRequires:	libzip-devel
BuildRequires:	libstdc++-static-devel
BuildRequires:	dbus-devel
BuildRequires:	imlib2-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpulseaudio-devel
BuildRequires:	libfaad2-devel
BuildRequires:	bison
BuildRequires:	yasm

%description
DeaDBeeF is an audio player for GNU/Linux systems with 
X11 written in C and C++.

Features:
* minimal depends
* native GTK2 GUI
* cuesheet support
* mp3
* ogg
* flac
* ape
* chiptune formats with subtunes
* song-length databases
* small memory footprint

%package devel
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{name} = %{version}-%{release}

%description devel
Development files and headers for %{name}.

%prep
%setup -qn %{name}-%{version}-%prel

%build
%configure2_5x \
	--disable-static \
	--disable-rpath

%make

%install

%makeinstall_std
# desktop file is not standard and only the beginning is ok
rm -f %{buildroot}%{_datadir}/applications/%{name}.desktop
head -n 14 < %{name}.desktop > %{buildroot}%{_datadir}/applications/%{name}.desktop

rm -rf %{buildroot}%{_docdir}/%{name}

%find_lang %{name} %{name}.lang



%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING.GPLv2 COPYING.LGPLv2.1
%doc about.txt help.txt translators.txt
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/pixmaps
%{_bindir}/%{name}
%{_libdir}/%{name}/*.so*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/pixmaps/*.png
%{_datadir}/%{name}/pixmaps/noartwork.jpg
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/deadbeef.svg
%{_libdir}/%{name}/convpresets/*.txt

%files devel
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/%{name}/*.la




%changelog

* Sat Mar 03 2012 malo <malo> 0.5.2-0.beta1.1.mga2
+ Revision: 217514
- fix for desktop file
- spec clean-up after import from Mandriva.
- imported package deadbeef


* Sat Feb 25 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.2-0.beta1.1mdv2012.0
+ Revision: 780738
- update to new version 0.5.2-beta1
- add buildrequires on yasm and bison
- drop patch 0, applied by upstream

  + Götz Waschk <waschk@mandriva.org>
    - rebuild for new libcdio

* Fri Sep 23 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.1-3
+ Revision: 701114
- rebuild

* Fri Sep 23 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.1-2
+ Revision: 701086
- nuke rpath
- add missing buildrequires on libzip-devel dbus-devel libimlib2-devel libjpeg-devel libpulseaudio-devel libfaad2-devel

* Tue Jun 14 2011 Александр Казанцев <kazancas@mandriva.org> 0.5.1-1
+ Revision: 685144
- update to version 0.5.1

* Fri May 20 2011 Александр Казанцев <kazancas@mandriva.org> 0.5.0-2
+ Revision: 676348
- new version 0.5.0

* Sun Dec 19 2010 Shlomi Fish <shlomif@mandriva.org> 0.4.4-2mdv2011.0
+ Revision: 622922
- Add a dependency on intltool - it was missing
- update to version 0.4.4
- fix plugin loading by moving *.so files from devel package to main
- fix help menu by packaging doc files
- contributed by BALATON Zoltan.

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.2-2mdv2011.0
+ Revision: 610220
- rebuild

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - add source and spec files
    - Created package structure for deadbeef.

